﻿@using Portal.Models;
@using System.Web.UI.WebControls;
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using DevExpress.Utils;
@model Toyota.Common.Web.MVC.ModelHolder
@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

<script type="text/javascript">

    function AddRoute(s, e) {
        popupnew.SetHeaderText('Transaction Master Info Add ');
        popupnew.Show();
    }

    function SearchData(s, e) {
        GridTransactionMaster.ClearFilter();
    }

    function OnBeginCallbackGrid(s, e) {
        e.customArgs["TransactionValues"] = OIHTransactionOption.GetText();

    }

    function ClearItem(s, e) {
        OIHTransactionOption.SetText('');
        GridTransactionMaster.ClearFilter();
    }

    function CancelAddNew(s, e) {
        TransactionCodex.SetValue("");
        TransactionNamex.SetValue("");
        Signex.SetValue("");
        Descriptionex.SetValue("");


        popupnew.Hide();
    }

    function BeginCallbackAddNew(s, e) {
         if (TransactionCodex.GetText()=="" || TransactionNamex.GetText() =="")
         { alert("Some Field Must To Be Fill, (*) is Required");

         }
         else
         {
          $.ajax(
            {
                type: "POST",
                url: "@Url.Content("~/TransactionMaster/AddNewTransaction")",
                data:
                {
               
                    transactionCode : TransactionCodex.GetText(),
                    transactionName : TransactionNamex.GetText(),
                    sign : Signex.GetText(),
                    description : Descriptionex.GetText()
                
              },
                success: function (result) {
                    alert(result);
                    TransactionCodex.SetText("");
                    TransactionNamex.SetText("");
                    Signex.SetText("");
                    Descriptionex.SetText("");
                    popupnew.Hide();
                             
                    GridTransactionMaster.PerformCallback();
                },
                error: function (result) {
                    alert("Error when update data");
                }
            });
         }    
    }

    function ClearGrid(){
        OIHTransactionOption.SetText("");
        Sign.SetText("");
        GridTransactionMaster.ClearFilter();
    }

</script>



<div style="display: table; border: 1px solid #142B94; background-color: #DEECFD;
    padding: 10px;">
   @Html.Action("PartialHeader", "TransactionMaster")
</div>
<div style="height: 15px;">
</div>
@* div spacing *@
<div>
    @Html.Action("PartialTransactionDatas", "TransactionMaster")
</div>

@Html.DevExpress().PopupControl(settings =>
    {
        settings.Name = "popupnew";
        settings.Width = System.Web.UI.WebControls.Unit.Percentage(20);
        settings.Height = System.Web.UI.WebControls.Unit.Percentage(100);
        settings.Modal = true;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        //settings.DragElement = DragElement.Window;
        //settings.ShowHeader = false;
        
        settings.SetContent(() =>
        {
            Html.RenderPartial("MasterPopUp");
        });
    }).GetHtml()
